:root{
    --wp--preset--font-size--small: clamp(14px, 15px, 16px);
    --wp--preset--font-size--medium: clamp(16px, 17px, 18px);
    --wp--preset--font-size--large: clamp(20px, 21px, 22px);
    --wp--preset--font-size--x-large: clamp(24px, 26px, 28px);
    --wp--preset--font-size--x-small: clamp(18px, 19px, 20px);
    --wp--preset--font-size--xx-large: clamp(24px, 26px, 28px);
    --wp--preset--font-size--xxx-large: clamp(44px, 44px, 44px);
    --wp--preset--font-size--xxxx-large: clamp(50px, 53px, 54px);
}
h1{    
    margin-bottom: 0.25em;
}
h2{
    margin-bottom: 0.15em;
}

.wp-block-uagb-advanced-heading .uagb-heading-text{
    margin-bottom: 0.25em;
}

.wp-block-button__link.has-background-color{
    color: var(--wp--preset--color--background) !important;
}
.wp-block-button__link.has-heading-color{
    color: var(--wp--preset--color--heading) !important;
}
.wp-block-button__link.has-body-color{
    color: var(--wp--preset--color--body) !important;
}
.wp-block-button__link.has-primary-color{
    color: var(--wp--preset--color--primary) !important;
}
.wp-block-button__link.has-secondary-color{
    color: var(--wp--preset--color--secondary) !important;
}
.wp-block-button__link.has-tertiary-color{
    color: var(--wp--preset--color--tertiary) !important;
}
.wp-block-button__link.has-quaternary-color{
    color: var(--wp--preset--color--quaternary) !important;
}